<template>
    <input v-model="name"  /> 
    <button @click="onClick" >Save</button>
</template>
  
  <script>
  
  export default {
    name: 'ListAdd',
    props: {
      onAdd: Function
    },

    data() {
        return {
            name: 'second'
        }
    },

    methods: {
        onClick() {
            this.onAdd(this.name);
            this.name = '';
        }
    }
  }
  </script>
  
  <!-- Add "scoped" attribute to limit CSS to this component only -->
  <style scoped>
  </style>
  